Bug 1001835 - module_name parameter for fence_drac5 is optional, not required
Summary: module_name parameter for fence_drac5 is optional, not required
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Pokorný [poki]
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-27 21:46 UTC by Jan Pokorný [poki]
Modified: 2013-11-21 10:33 UTC (History)
3 users (show)

Fixed In Version: luci-0.26.0-42.el6
Doc Type: Bug Fix
Doc Text:
Cause: Luci incorrectly considers "module_name" (Module Name) parameter of Dell DRAC 5 fence device to be mandatory. Consequence: Such fence device cannot be added with "module_name" omitted. Fix: Luci now correctly considers this parameter to be optional. Result: Such fence device now can be added with omitted module name.
Clone Of:
Environment:
Last Closed: 2013-11-21 10:33:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1603 0 normal SHIPPED_LIVE Moderate: luci security, bug fix, and enhancement update 2013-11-21 00:39:24 UTC

Description Jan Pokorný [poki] 2013-08-27 21:46:29 UTC
SSIA.

Discovered-By: Steven Levine
(Thanks for the level of care!)

Comment 2 Jan Pokorný [poki] 2013-08-28 14:58:15 UTC
Situation:
- drac5 fence agent is to be added
- omit module_name as it is (metadata, documentation) optional,
  otherwise everything should conform to the set expectations

Before:
- luci will not accept/validate the user's request
  (due to module_name being omitted)

After:
- luci will accept/validate the user's request

Comment 7 errata-xmlrpc 2013-11-21 10:33:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1603.html


Note You need to log in before you can comment on or make changes to this bug.